/*
 * Copyright 2015 Canonical Ltd.
 *
 * This file is part of unity-js-scopes.
 *
 * unity-js-scopes is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * unity-js-scopes is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**

--doc:class ScopeMetadata
 * 
 * Holds scope attributes such as name, description, icon etc
 * 
 * @module ScopeJS
 * 
 * @class ScopeMetadata
--/doc:class

--doc:prototype ScopeMetadata

--doc:member
 * Get the scope identifier
 * @method scope_id
 * @return {String}
--doc:/member
scope_id: function() {
}
--/doc:member

--doc:member
 * Get the scope display name
 * @method display_name
 * @return {String}
--doc:/member
display_name: function() {
}
--/doc:member

--doc:member
 * Get the scope description
 * @method description
 * @return {String}
--doc:/member
description: function() {
}
--/doc:member

--doc:member
 * Get the scope author
 * @method author
 * @return {String}
--doc:/member
author: function() {
}
--/doc:member

--doc:member
 * Get the scope art
 * @method art
 * @return {String}
--doc:/member
art: function() {
}
--/doc:member

--doc:member
 * Get the scope icon
 * @method icon
 * @return {String}
--doc:/member
icon: function() {
}
--/doc:member

--doc:member
 * Get the scope search_hint
 * @method search_hint
 * @return {String}
--doc:/member
search_hint: function() {
}
--/doc:member

--doc:member
 * Get the scope hot key
 * @method hot_key
 * @return {String}
--doc:/member
hot_key: function() {
}
--/doc:member

--doc:member
 * Checks if the scope is invisible
 * @method invisible
 * @return {Boolean}
--doc:/member
invisible: function() {
}
--/doc:member

--doc:member
 * Gets the scope directory
 * @method scope_directory
 * @return {String}
--doc:/member
scope_directory: function() {
}
--/doc:member

--doc:member
 * Checks if the scope needs location data
 * @method location_data_needed
 * @return {Boolean}
--doc:/member
location_data_needed: function() {
}
--/doc:member

--/doc:prototype
 */
